summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOlaf van der Spek <olafvdspek@gmail.com>2010-05-22 19:20:53 +0000
committerOlaf van der Spek <olafvdspek@gmail.com>2010-05-22 19:20:53 +0000
commit52c3bba321a1a532c58591d3a46bb567dfd81b91 (patch)
tree092c8b13e42b62093f8660860d6461de9249788e
parent586889935ebda0c950a352ae7c61c4f8ecc76f7a (diff)
downloadlighttpd-52c3bba321a1a532c58591d3a46bb567dfd81b91.tar.gz
clean up init script
-rw-r--r--debian/lighttpd.init10
1 files changed, 4 insertions, 6 deletions
diff --git a/debian/lighttpd.init b/debian/lighttpd.init
index 4a75653..45ddfa1 100644
--- a/debian/lighttpd.init
+++ b/debian/lighttpd.init
@@ -36,7 +36,7 @@ fi
case "$1" in
start)
log_daemon_msg "Starting $DESC" $NAME
- if ! start-stop-daemon --start --quiet --oknodo \
+ if ! start-stop-daemon --start --oknodo --quiet \
--pidfile $PIDFILE --exec $DAEMON -- $DAEMON_OPTS
then
log_end_msg 1
@@ -46,7 +46,7 @@ case "$1" in
;;
stop)
log_daemon_msg "Stopping $DESC" $NAME
- if start-stop-daemon --quiet --stop --oknodo --retry 30 --oknodo \
+ if start-stop-daemon --stop --retry 30 --oknodo --quiet \
--pidfile $PIDFILE --exec $DAEMON
then
rm -f $PIDFILE
@@ -57,8 +57,8 @@ case "$1" in
;;
reload|force-reload)
log_daemon_msg "Reloading $DESC configuration" $NAME
- if start-stop-daemon --stop --signal 2 --oknodo --retry 30 --oknodo \
- --quiet --pidfile $PIDFILE --exec $DAEMON
+ if start-stop-daemon --stop --signal INT --retry 30 --oknodo --quiet \
+ --pidfile $PIDFILE --exec $DAEMON
then
if start-stop-daemon --start --quiet \
--pidfile $PIDFILE --exec $DAEMON -- $DAEMON_OPTS ; then
@@ -72,8 +72,6 @@ case "$1" in
;;
restart)
$0 stop
- test -r $PIDFILE && while pidof lighttpd | \
- grep -q `cat $PIDFILE 2>/dev/null` 2>/dev/null ; do sleep 1; done
$0 start
;;
status)